package cn.com.qmth.examcloud.core.questions.dao.entity;

import cn.com.qmth.examcloud.core.questions.base.enums.PaperStatus;

import java.io.Serializable;

public class PaperSearchInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    private String name;// 试卷名称

    private String createTime;// 创建时间

    private String creator;// 录入员

    private String courseNo;// 课程代码

    private String specialtyNo;// 专业代码

    private String level;// 层次

    private String orgId;// 机构Id

    private PaperStatus paperStatus; // 试卷审核状态

    private String[] paperIds;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getCourseNo() {
        return courseNo;
    }

    public void setCourseNo(String courseNo) {
        this.courseNo = courseNo;
    }

    public String[] getPaperIds() {
        return paperIds;
    }

    public void setPaperIds(String[] paperIds) {
        this.paperIds = paperIds;
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    public PaperStatus getPaperStatus() {
        return paperStatus;
    }

    public void setPaperStatus(PaperStatus paperStatus) {
        this.paperStatus = paperStatus;
    }

    public String getSpecialtyNo() {
        return specialtyNo;
    }

    public void setSpecialtyNo(String specialtyNo) {
        this.specialtyNo = specialtyNo;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

}
