package cn.com.qmth.examcloud.core.questions.dao.entity;

import cn.com.qmth.examcloud.core.questions.dao.entity.base.IdBase;
import org.apache.commons.lang3.StringUtils;

import java.util.Date;

/**
 * @author chenken
 * @date 2017年8月1日 上午10:56:23
 * @company QMTH
 * @description QuestionAudio.java
 */
public class QuestionAudio extends IdBase {
    /**
     * 试题ID
     */
    private String questionId;

    /**
     * 题干OR选项
     private AudioPositionType audioPositionType;

     */
    /**
     * 文件名称
     */
    private String fileName;
    /**
     * 文件后缀
     */
    private String fileSuffixes;
    /**
     * 存放路径
     */
    private String fileUrl;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 创建人
     */
    private String createUser;

    public QuestionAudio() {

    }

    public QuestionAudio(String questionId, String fileName, String fileUrl) {
        this.questionId = questionId;
        this.fileName = fileName;
        if (StringUtils.isNotBlank(fileName)) {
            this.fileSuffixes = fileName.substring(fileName.indexOf(".") + 1, fileName.length());
        }
        this.fileUrl = fileUrl;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getQuestionId() {
        return questionId;
    }

    public void setQuestionId(String questionId) {
        this.questionId = questionId;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public String getFileSuffixes() {
        return fileSuffixes;
    }

    public void setFileSuffixes(String fileSuffixes) {
        this.fileSuffixes = fileSuffixes;
    }

}